package com.bonus.material.index.service;

import com.bonus.common.core.web.domain.AjaxResult;

import javax.servlet.http.HttpServletResponse;

public interface IndexService {
    /**
     * 数据总览
     *
     * @return
     */
    AjaxResult getDeviceNum();

    /**
     * 使用情况
     *
     * @return
     */
    AjaxResult getUseDeviceNum();

    /**
     * 实时情况
     * @return
     */
    AjaxResult getReal();

    AjaxResult getDeviceByDept();

    AjaxResult getMaQc();

    AjaxResult getDeviceNumByMonth();

    AjaxResult getApprover();

    AjaxResult getShare();

    void export(HttpServletResponse response);
}
